#{include 'purchasing/parts/_ratingStatus.html'/}

<!-- Status Paket -->
#{if status}
<div class="panel panel-default">
	<div class="panel-body">
		<h5>&{'status.label'}</h5>
		<div class="detail-list">
			<div class="detail-item">
				<div class="row">
					<div class="detail-heading col-md-4">&{'status.label'}</div>
					<div class="detail-description col-md-8">${paket?.status?.getLocalizedPackageStatus()}</div>
				</div>
			</div>
			<div class="detail-item">
				<div class="row">
					<div class="detail-heading col-md-4">&{'posisi_paket.label'}</div>
                    <div class="detail-description col-md-8">
					#{if paket.paketStatus?.getToEmpty() != null && ((paket.paketStatus?.getToEmpty()).equalsIgnoreCase("Pejabat Pengadaan") || (paket.paketStatus?.getToEmpty()).equalsIgnoreCase("Procurement Officer"))}
					&{'panitia.label'}
					#{/if}
					#{else }
					${utils.KatalogUtils.ucfirst(paket.paketStatus?.getToEmpty())}
					#{/else}
					</div>
				</div>
			</div>
		</div>
		<a href="${paket?.getPackageHistory()}" class="btn btn-sm btn-block btn-primary">&{'riwayat_paket.label'}</a>
	</div>
</div>
#{/if}

<div class="panel panel-default">
	<div class="panel-body">
		<div class="detail-list">
			<div class="detail-item">
				<div class="row">
					<div class="detail-heading col-md-8">&{'total_produk.label'}</div>
					<div class="detail-description col-md-4">${paket?.getTotalProduct()}</div>
				</div>
			</div>
			<div class="detail-item">
				<div class="row">
					<div class="detail-heading col-md-8">&{'paket.total_fully_accepted_product'}</div>
					<div class="detail-description col-md-4">${paket?.getTotalFullyAccepted()}</div>
				</div>
			</div>
		</div>
	</div>
</div>

#{if paket?.commodity?.isNegotiationRequired() && paket?.getStatus()?.getLatestHeader() != null}
<!-- Status Negosiasi -->
<div class="panel panel-default">
    <div class="panel-body">
        <h5>&{'status_negosiasi.label'}</h5>
        <div class="detail-list">
            <div class="detail-item">
                <div class="row">
                    <div class="detail-heading col-md-4">&{'pemesan.label'}</div>
                    <div class="detail-description col-md-8">
						#{if !org.apache.http.util.TextUtils.isEmpty(paket?.getStatus()?.getLatestHeader()?.getFormattedBuyerApprovedDate())}
						&{'paket.approved_at', paket?.getStatus()?.getLatestHeader()?.getFormattedBuyerApprovedDate()}
						#{/if}
						#{else }
							-
						#{/else}
					</div>
                </div>
            </div>
            <div class="detail-item">
                <div class="row">
                    <div class="detail-heading col-md-4">&{'penyedia.label'}</div>
                    <div class="detail-description col-md-8">
						#{if !org.apache.http.util.TextUtils.isEmpty(paket?.getStatus()?.getLatestHeader()?.getFormattedProviderApprovedDate())}
							&{'paket.approved_at', paket?.getStatus()?.getLatestHeader()?.getFormattedProviderApprovedDate()}
						#{/if}
						#{else }
                            -
						#{/else}
					</div>
                </div>
            </div>
            <div class="detail-item">
                <div class="row">
                    <div class="detail-heading col-md-4">&{'notification'} ${paket?.getStatus()?.getLatestHeader()?.getNoteLabel()}</div>
                    <div class="detail-description col-md-8">${paket?.getNegotiationPosition()}</div>
                </div>
            </div>
            #{if !org.apache.http.util.TextUtils.isEmpty(paket?.getStatus()?.getLatestHeader()?.detail?.catatan)}
			<div class="detail-item">
                <div class="row">
                    <div class="detail-description col-md-8 col-md-offset-4">${paket?.getStatus()?.getLatestHeader()?.detail?.catatan}</div>
                </div>
            </div>
			#{/if}
        </div>
    </div>
</div>
#{/if}


